## com.baidubce.services.lss.model
Class AntiLeech

    java.lang.Object
      com.baidubce.services.lss.model.AntiLeech

    public class AntiLeech

extends Object

Constructor Summary
`AntiLeech()`

Method Summary
`IP` `getIp()`
`Refer` `getRefer()`
`void` `setIp(IP ip)`
`void` `setRefer(Refer refer)`
`String` `toString()`
`AntiLeech` `withIp(IP ip)`
`AntiLeech` `withRefer(Refer refer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntiLeech

    public AntiLeech()

Method Detail

### getRefer

    public Refer getRefer()

### setRefer

    public void setRefer(Refer refer)

### withRefer

    public AntiLeech withRefer(Refer refer)

### getIp

    public IP getIp()

### setIp

    public void setIp(IP ip)

### withIp

    public AntiLeech withIp(IP ip)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.